CPU(3pm)

NAME
Sys::CPU - Perl extension for getting CPU information. Currently only number of CPU's supported.

SYNOPSIS
  use Sys::CPU;

  $number_of_cpus = Sys::CPU::cpu_count();
  printf("I have %d CPU's\n",$number_of_cpus);
  print "  Speed : ",Sys::CPU::cpu_clock(),"\n";
  print "  Type  : ",Sys::CPU::cpu_type(),"\n";

DESCRIPTION
In responce to a post on perlmonks.org, a module for counting the number of CPU's on a system. Support has now also been added for type of CPU and clock speed. While much of the code is from UNIX::Processors, win32 support has been added (but not tested).

v0.45 - Corrected solaris support (Thanks Cloyce)

v0.60 - Added FreeBSD support (Thanks Johan & SREZIC) v0.61 - Fix test numbering issue

  EXPORT
None by default.

AUTHOR
Matt Sanford

MAINTENANCE
Marc Koderer

LICENSE

SEE ALSO
perl(1), sysconf(3)